#
# spec file for package vim (Version 7.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs desktop-translations diffutils fdupes file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gpm grep groff gtk2 gtk2-devel gzip hicolor-icon-theme info insserv less libacl libacl-devel libattr libattr-devel libbz2-1 libbz2-devel libdb-4_5 libdb-4_5-devel libdrm libexpat-devel libexpat1 libgcc42 libgomp42 libjpeg libltdl-3 libmudflap42 libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg openssl-certs pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-base permissions pkg-config popt post-build-checks python python-devel rpm ruby ruby-devel sed sqlite sysvinit tar tcl tcl-devel texinfo timezone update-alternatives update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           vim
Version:        7.2
Release:        9.1
#
License:        Other uncritical OpenSource License
Group:          Productivity/Editors/Vi
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  db-devel fdupes gettext-devel gpm gtk2-devel libacl-devel ncurses-devel perl python-devel ruby-devel tcl-devel update-alternatives update-desktop-files
#
%define pkg_version 7.2
%define official_ptchlvl 108
%define VIM_SUBDIR vim72
%define site_runtimepath /usr/share/vim/site
#
%define make make VIMRCLOC=/etc VIMRUNTIMEDIR=/usr/share/vim/current MAKE="make -e" %{?jobs:-j%jobs}
#
%define vim_prereq %{name}-base = %{version}
# Explicitly require versioned perl for libperl.so
%define perl_requires perl = %(rpm -q --qf '%{VERSION}' perl)
%if 0%{?with_splitted_gvim}
%define gvim_prereq g%{name}-base = %{version}
%else
%define gvim_prereq %{vim_prereq}
%endif
#
PreReq:         sh-utils fileutils
PreReq:         update-alternatives
PreReq:         %{vim_prereq}
#
Provides:       vim_client
Provides:       vi
#
%if 0%{?suse_version} >= 1010
Recommends:     vim-data = %{version}
%endif
#
Url:            http://www.vim.org/
Source:         ftp://ftp.vim.org/pub/vim/unix/vim-%{pkg_version}.tar.bz2
Source1:        ftp://ftp.vim.org/pub/vim/extra/vim-%{pkg_version}-extra.tar.bz2
Source2:        ftp://ftp.vim.org/pub/vim/extra/vim-%{pkg_version}-lang.tar.bz2
Source3:        suse.vimrc
Source4:        vimrc_example1
Source5:        vimrc_example2
Source6:        ANNOUNCEMENT.vim-%{version}
Source8:        suse.gvimrc
Source9:        README.SuSE
Source10:       README.Japanese-XIM
Source13:       vitmp.c
Source14:       vitmp.1
Source15:       vim132
Source16:       gvim.png
Source18:       missing-vim-client
Source19:       gvim.desktop
Source98:       %{name}-7.2-patches.bz2
Source99:       vim-7.1-rpmlintrc
Patch1:         %{name}-7.0-no_nb.patch
Patch4:         %{name}-7.0-gvimrc_fontset.patch
Patch5:         %{name}-7.0-highlight_fstab.patch
Patch6:         %{name}-7.0-sh_is_bash.patch
Patch7:         %{name}-7.0-filetype_ftl.patch
Patch8:         %{name}-7.0-help_tags.patch
Patch9:         %{name}-7.0-use_awk.patch
Patch10:        %{name}-7.0-name_vimrc.patch
Patch11:        %{name}-7.0-mktemp_tutor.patch
Patch12:        %{name}-7.0-ruby_ldflags_configure.patch
Patch14:        %{name}-7.0-grub.patch
Patch15:        vim-7.2-filetype_apparmor.patch
Patch16:        %{name}-7.0-flex-array.diff
Patch18:        vim-7.1-filetype_spec.patch
Patch19:        vim-7.2-diff_check.patch
Patch21:        vim-7.1-filetype_changes.patch
Patch22:        vim-7.1-remove-terrible-hack.patch
# tbd???        %name-6.3-ga-utf8.diff
# tbd???        %name-6.3-initvals.diff
# tbd???        vim64-svn-crash.patch
Summary:        Vi IMproved

%description
Vim (Vi IMproved) is an almost compatible version of the UNIX editor
vi. Almost every possible command can be performed using only ASCII
characters. Only the 'Q' command is missing (you do not need it). Many
new features have been added: multilevel undo, command line history,
file name completion, block operations, and editing of binary data.

Vi is available for the AMIGA, MS-DOS, Windows NT, and various versions
of UNIX.

For SuSE Linux, Vim is used as /usr/bin/vi.

Package vim contains the normal version of vim. To get the full runtime
environment install additionally vim-data.



Authors:
--------
    Bram Moolenaar <bram@vim.org>

%debug_package
%package data
License:        Other uncritical OpenSource License
Group:          Productivity/Editors/Vi
PreReq:         %{vim_prereq}
#
Summary:        Vi IMproved

%description data
Vim (Vi IMproved) is an almost compatible version of the UNIX editor
vi. Almost every possible command can be performed using only ASCII
characters. Only the 'Q' command is missing (you do not need it). Many
new features have been added: multilevel undo, command line history,
file name completion, block operations, and editing of binary data.

Vi is available for the AMIGA, MS-DOS, Windows NT, and various versions
of UNIX.

For SuSE Linux, Vim is used as /usr/bin/vi.

Package vim-data contains the runtime files.



Authors:
--------
    Bram Moolenaar <bram@vim.org>

%package base
License:        Other uncritical OpenSource License
Group:          Productivity/Editors/Vi
PreReq:         %{vim_prereq}
PreReq:         update-alternatives
#
Summary:        Vi IMproved

%description base
Vim (Vi IMproved) is an almost compatible version of the UNIX editor
vi. Almost every possible command can be performed using only ASCII
characters. Only the 'Q' command is missing (you do not need it). Many
new features have been added: multilevel undo, command line history,
file name completion, block operations, and editing of binary data.

Vi is available for the AMIGA, MS-DOS, Windows NT, and various versions
of UNIX.

For SuSE Linux, Vim is used as /usr/bin/vi.

Package vim-base contains the common files needed for all different vim
versions. You still need to select at least one of the vim,
vim-enhanced or gvim packages. For full runtime support you might also
want to install the vim-data package.



Authors:
--------
    Bram Moolenaar <bram@vim.org>

%package enhanced
License:        Other uncritical OpenSource License
Group:          Productivity/Editors/Vi
PreReq:         %{vim_prereq}
PreReq:         update-alternatives
Provides:       vi
Provides:       vim_client
Requires:       %{perl_requires}
#
Summary:        A version of the VIM editor which includes recent enhancements

%description enhanced
The vim-enhanced package contains a version of VIM with extra, recently
introduced features like Ruby, Perl and TCL interpreters, but it has no
graphical user interface. Please use gvim instead, if you need a gui
too.

Install the vim-enhanced package if you'd like to use a version of the
VIM editor which includes recently added enhancements like interpreters
for the Python and Perl scripting languages. You'll also need to
install the base package 'vim', for online help, etc. If you need the
graphical features of vim, you might want to install package gvim too.



Authors:
--------
    Bram Moolenaar <bram@vim.org>

%if 0%{?with_splitted_gvim}

%package -n gvim-base
License:        Other uncritical OpenSource License
Group:          Productivity/Editors/Vi
PreReq:         %{vim_prereq}
PreReq:         update-alternatives
Requires:       gvim_client
#
Summary:        dummy package for a subpackage only build in the buildservice

%description -n gvim-base
dummy package for a subpackage only build in the buildservice



Authors:
--------
    Bram Moolenaar <mool@oce.nl>

%package -n gvim-enhanced
License:        Other uncritical OpenSource License
Group:          Productivity/Editors/Vi
PreReq:         %{gvim_prereq}
PreReq:         update-alternatives
Provides:       vim_client
Provides:       gvim_client
Provides:       vi
#
Summary:        dummy package for a subpackage only build in the buildservice

%description -n gvim-enhanced
dummy package for a subpackage only build in the buildservice



Authors:
--------
    Bram Moolenaar <mool@oce.nl>

%endif

%package -n gvim
License:        Other uncritical OpenSource License
Group:          Productivity/Editors/Vi
PreReq:         %{gvim_prereq}
PreReq:         update-alternatives
Requires:       gvim_client
Provides:       gvim-base = %{version}-%{release}
Provides:       gvim-enhanced = %{version}-%{release}
Provides:       gvim_client
Provides:       vim_client
Provides:       vi
Requires:       %{perl_requires}
#
Summary:        A GUI for Vi

%description -n gvim
Start: /usr/X11R6/bin/gvim

Copy and modify /usr/share/vim/current/gvimrc to ~/.gvimrc if needed.

Package gvim contains the largest set of features of vim, which is
graphical windows and language interpreter, like python, ruby, or perl.
You need package vim for the help and other documentation too. If you
want less features, you might want to install packages vim-enhanced or
vim instead.



Authors:
--------
    Bram Moolenaar <mool@oce.nl>

%prep
%setup -q -n %{VIM_SUBDIR} -b 1 -b 2 -b 98
for p in ../vim-%{pkg_version}-patches/%{pkg_version}*; do
    test -e $p || break
    test ${p#*/%{pkg_version}.} -le %{official_ptchlvl} || exit 1
    echo Patch $p
    patch -s -p0 < $p
done
unset p
%patch1 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch14
%patch15 -p1
%patch16
%patch18
%patch19 -p1
%patch21 -p1
%patch22
cp %{S:3} %{S:4} %{S:5} %{S:6} %{S:8} %{S:9} %{S:10} .
rename no nb $RPM_BUILD_DIR/vim*/src/po/no.*
rename menu_no menu_nb $RPM_BUILD_DIR/vim*/runtime/lang/menu_no*

%build
export CFLAGS="%{optflags} -Wall -pipe -fno-strict-aliasing"
%if %suse_version > 1000
export CFLAGS="$CFLAGS -fstack-protector-all"
%endif
export COMMON_OPTIONS="\
    --with-vim-name=vim \
    --with-ex-name=ex \
    --with-view-name=view \
    --enable-cscope \
    --enable-multibyte \
    --enable-sniff \
    --with-features=huge \
    --with-compiledby='http://www.opensuse.org/' \
    --with-tlib=ncurses \
    --with-global-runtime=%{site_runtimepath}"
export SCRIPT_OPTIONS="\
    --enable-perlinterp \
    --enable-pythoninterp \
    --enable-rubyinterp \
    --enable-tclinterp \
    --with-tclsh=%{_bindir}/tclsh \
    --with-python-config-dir=%{py_libdir}/config"
# TODO:
#      - if suse_version for gnome path
export GUI_OPTIONS="\
    --enable-xim \
    --enable-fontset \
    --enable-gnome-check \
    --with-xusetheXWindowSystem \
    --enable-gui=gnome2 \
    --enable-gtk2-check \
    --with-gtk-prefix=/opt/gnome \
    --with-gnome=/opt/gnome"
#
# build small default binary
%configure \
    ${COMMON_OPTIONS} --disable-gui --without-x --disable-gpm \
    --disable-perlinterp --disable-pythoninterp \
    --disable-rubyinterp --disable-tclinterp
%make
%{__cp} src/vim vim-normal
%{__make} distclean
#
# build enhanced binary
%configure ${COMMON_OPTIONS} ${SCRIPT_OPTIONS} --disable-gui
%make
%{__cp} src/vim vim-enhanced
%{__make} distclean
#
# build enhanced gvim binary
%configure ${COMMON_OPTIONS} ${SCRIPT_OPTIONS} ${GUI_OPTIONS}
%if 0%{?with_splitted_gvim}
%make
%{__cp} src/vim gvim-enhanced
%{__make} distclean
#
# build gvim binary
%configure ${COMMON_OPTIONS} ${GUI_OPTIONS}
%endif
%make
#
# build vitmp
gcc %{optflags} %{S:13} -o vitmp

%install
%makeinstall STRIP=:
# the last installed binary is gvim. preserve it and
# fix its symlinks. e* was added here as it doesnt make much sense in
# console
%{__mv} -v %{buildroot}%{_bindir}/{vim,gvim-normal}
for f in egvim egview eview evim gex gvi gview gvimdiff rgview rgvim ; do
    %{__ln_s} -vf gvim %{buildroot}%{_bindir}/$f
done
#
# install the other binaries
%{__install} -D -m 0755 vim-normal    %{buildroot}/bin/vim-normal
%{__install} -D -m 0755 vim-enhanced  %{buildroot}%{_bindir}/vim-enhanced
%if 0%{?with_splitted_gvim}
%{__install} -D -m 0755 gvim-enhanced %{buildroot}%{_bindir}/gvim-enhanced
%endif
# compat symlinks
# we need a dummy target for /etc/alternatives/vim
mkdir -p %{buildroot}/etc/alternatives
touch %{buildroot}/etc/alternatives/vim 
%{__ln_s} -f /etc/alternatives/vim %{buildroot}/bin/vim
%{__ln_s} -f /bin/vim   %{buildroot}/bin/vi
%{__ln_s} -f /bin/vim   %{buildroot}%{_bindir}/vim
%{__ln_s} -f /bin/vim   %{buildroot}%{_bindir}/vi
%{__ln_s} -f vim        %{buildroot}%{_bindir}/edit
%{__ln_s} -f /bin/vim	%{buildroot}/bin/ex
#
# man pages
%{__ln_s} -f vim.1.gz %{buildroot}%{_mandir}/man1/vi.1.gz
%{__ln_s} -f vim.1.gz %{buildroot}%{_mandir}/man1/ex.1.gz
#
# vitmp
%{__install} -m 0755 vitmp   %{buildroot}%{_bindir}/vitmp
%{__install} -m 0644 %{S:14} %{buildroot}%{_mandir}/man1/vitmp.1
%{__install} -m 0755 %{S:15} %{buildroot}/usr/share/vim/%{VIM_SUBDIR}/tools/vim132
#
# make the vim settings more generic
%{__ln_s} -f %{VIM_SUBDIR} %{buildroot}%{_datadir}/vim/current
# additional files
%{__install} -D -m 0644 %{S:3} %{buildroot}/etc/vimrc
%{__install} -D -m 0644 %{S:8} %{buildroot}/etc/gvimrc
# create site wide runtime directory
mkdir -p -m 0755 %{buildroot}%{site_runtimepath}/after
mkdir -m 0755 %{buildroot}%{site_runtimepath}/autoload
mkdir -m 0755 %{buildroot}%{site_runtimepath}/colors
mkdir -m 0755 %{buildroot}%{site_runtimepath}/doc
mkdir -m 0755 %{buildroot}%{site_runtimepath}/plugin
mkdir -m 0755 %{buildroot}%{site_runtimepath}/syntax
mkdir -m 0755 %{buildroot}%{site_runtimepath}/ftdetect
mkdir -m 0755 %{buildroot}%{site_runtimepath}/after/syntax
# desktop file for gvim
%suse_update_desktop_file -i gvim Utility TextEditor
#
# documentation
%{__install} -d -m 0755 %{buildroot}%{_docdir}/{,g}vim/
%{__install} -D -m 0644 \
    vimrc_example1 vimrc_example2 suse.vimrc \
    README.txt README_src.txt README_unix.txt README_lang.txt src/INSTALL ANNOUNCEMENT.vim-7.2 \
  %{buildroot}%{_docdir}/vim/
# gvim
%{__install} -D -m 0644 \
    README.SuSE README.Japanese-XIM runtime/gvimrc_example.vim suse.gvimrc \
  %{buildroot}%{_docdir}/gvim/
#
# stupid helper
%{__install} -m 0755 %{S:18} %{buildroot}%{_datadir}/vim/current/tools/missing-vim-client
# remove unecessary duplicate manpages
rm -rf %{buildroot}%{_mandir}/fr.ISO8859-1/
rm -rf %{buildroot}%{_mandir}/fr.UTF-8/
rm -rf %{buildroot}%{_mandir}/pl.ISO8859-2/
rm -rf %{buildroot}%{_mandir}/pl.UTF-8/
rm -rf %{buildroot}%{_mandir}/ru.KOI8-R/
rm -rf %{buildroot}%{_mandir}/it.ISO8859-1/
rm -rf %{buildroot}%{_mandir}/it.UTF-8/
# and move russian manpages to a place where they can be found
mv %{buildroot}%{_mandir}/ru.UTF-8 %{buildroot}%{_mandir}/ru
# remove some c source files
rm -f %{buildroot}%{_datadir}/vim/%{VIM_SUBDIR}/tools/*.c
rm -f %{buildroot}%{_datadir}/vim/%{VIM_SUBDIR}/macros/maze/*.c
#
%fdupes -s %{buildroot}%{_datadir}/vim/%{VIM_SUBDIR}/lang

%clean
%{__rm} -rf %{buildroot}
#   link name | name | binary                  | priority

%post
/usr/sbin/update-alternatives --install \
    /bin/vim        vim  /bin/vim-normal          15

%post base
/usr/sbin/update-alternatives --install \
    /bin/vim        vim  %{_datadir}/vim/current/tools/missing-vim-client    0

%post enhanced
/usr/sbin/update-alternatives --install \
    /bin/vim        vim  %{_bindir}/vim-enhanced  20

%post -n gvim
/usr/sbin/update-alternatives --install \
    /bin/vim        vim  %{_bindir}/gvim          5
/usr/sbin/update-alternatives --install \
    %{_bindir}/gvim gvim %{_bindir}/gvim-normal   5
%if 0%{?with_splitted_gvim}

%post -n gvim-enhanced
/usr/sbin/update-alternatives --install \
    /bin/vim        vim  %{_bindir}/gvim-enhanced 10
/usr/sbin/update-alternatives --install \
    %{_bindir}/gvim gvim %{_bindir}/gvim-enhanced 10
%endif

%preun
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove vim /bin/vim-normal
fi

%preun base
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove vim %{_datadir}/vim/current/tools/missing-vim-client
fi

%preun enhanced
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove vim %{_bindir}/vim-enhanced
fi

%preun -n gvim
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove vim %{_bindir}/gvim
fi
%if 0%{?with_splitted_gvim}

%preun -n gvim-enhanced
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove vim %{_bindir}/gvim-enhanced
fi
%endif

%files
%defattr(-,root,root,-)
/bin/vim-normal

%files base
%defattr(-,root,root,-)
%config(noreplace) /etc/vimrc
%ghost /etc/alternatives/vim
# symlinks
/bin/vi
/bin/vim
/bin/ex
%{_bindir}/edit
%{_bindir}/ex
%{_bindir}/rview
%{_bindir}/rvim
%{_bindir}/vi
%{_bindir}/vim
%{_bindir}/view
%{_bindir}/vimdiff
# additional binaries
%{_bindir}/vitmp
%{_bindir}/vimtutor
%{_bindir}/gvimtutor
%{_bindir}/xxd
# man pages
%{_mandir}/man1/*
%dir %{_mandir}/fr
%dir %{_mandir}/fr/man1/
%{_mandir}/fr/man1/*
%dir %{_mandir}/it
%dir %{_mandir}/it/man1/
%{_mandir}/it/man1/*
%dir %{_mandir}/ru
%dir %{_mandir}/ru/man1/
%{_mandir}/ru/man1/*
%dir %{_mandir}/pl
%dir %{_mandir}/pl/man1/
%{_mandir}/pl/man1/*
# docs and data file
%doc %{_docdir}/vim
#
%{_datadir}/vim/current
%dir %{_datadir}/vim/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/autoload/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/colors/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/compiler/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/doc/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/ftplugin/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/indent/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/keymap/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/lang/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/macros/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/plugin/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/print/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/spell/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/syntax/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/tools/
%dir %{_datadir}/vim/%{VIM_SUBDIR}/tutor/
%dir %{site_runtimepath}
%dir %{site_runtimepath}/autoload/
%dir %{site_runtimepath}/colors/
%dir %{site_runtimepath}/doc/
%dir %{site_runtimepath}/plugin/
%dir %{site_runtimepath}/syntax/
%dir %{site_runtimepath}/ftdetect/
%dir %{site_runtimepath}/after/
%dir %{site_runtimepath}/after/syntax/
#
%{_datadir}/vim/%{VIM_SUBDIR}/bugreport.vim
%{_datadir}/vim/%{VIM_SUBDIR}/evim.vim
%{_datadir}/vim/%{VIM_SUBDIR}/filetype.vim
%{_datadir}/vim/%{VIM_SUBDIR}/ftoff.vim
%{_datadir}/vim/%{VIM_SUBDIR}/ftplugin.vim
%{_datadir}/vim/%{VIM_SUBDIR}/ftplugof.vim
%{_datadir}/vim/%{VIM_SUBDIR}/indent.vim
%{_datadir}/vim/%{VIM_SUBDIR}/indoff.vim
%{_datadir}/vim/%{VIM_SUBDIR}/optwin.vim
%{_datadir}/vim/%{VIM_SUBDIR}/scripts.vim
%{_datadir}/vim/%{VIM_SUBDIR}/syntax/syntax.vim
# stupid helper
# THIS BREAKS THE BUILD: %{_datadir}/vim/current/tools/missing-vim-client
%{_datadir}/vim/%{VIM_SUBDIR}/tools/missing-vim-client

%files data
%defattr(-,root,root,-)
# data files
%{_datadir}/vim/%{VIM_SUBDIR}/autoload/*
%{_datadir}/vim/%{VIM_SUBDIR}/colors/*
%{_datadir}/vim/%{VIM_SUBDIR}/compiler/*
%{_datadir}/vim/%{VIM_SUBDIR}/doc/*
%{_datadir}/vim/%{VIM_SUBDIR}/ftplugin/*
%{_datadir}/vim/%{VIM_SUBDIR}/indent/*
%{_datadir}/vim/%{VIM_SUBDIR}/keymap/*
%{_datadir}/vim/%{VIM_SUBDIR}/lang/*
%{_datadir}/vim/%{VIM_SUBDIR}/macros/*
%{_datadir}/vim/%{VIM_SUBDIR}/plugin/*
%{_datadir}/vim/%{VIM_SUBDIR}/print/*
%{_datadir}/vim/%{VIM_SUBDIR}/spell/*
%{_datadir}/vim/%{VIM_SUBDIR}/syntax/*
%exclude %{_datadir}/vim/%{VIM_SUBDIR}/syntax/syntax.vim
#%{_datadir}/vim/%{VIM_SUBDIR}/tools/blink.c
%{_datadir}/vim/%{VIM_SUBDIR}/tools/ccfilter.1
#%{_datadir}/vim/%{VIM_SUBDIR}/tools/ccfilter.c
%{_datadir}/vim/%{VIM_SUBDIR}/tools/ccfilter_README.txt
%{_datadir}/vim/%{VIM_SUBDIR}/tools/efm_filter.pl
%{_datadir}/vim/%{VIM_SUBDIR}/tools/efm_filter.txt
%{_datadir}/vim/%{VIM_SUBDIR}/tools/efm_perl.pl
%{_datadir}/vim/%{VIM_SUBDIR}/tools/mve.awk
%{_datadir}/vim/%{VIM_SUBDIR}/tools/mve.txt
%{_datadir}/vim/%{VIM_SUBDIR}/tools/pltags.pl
%{_datadir}/vim/%{VIM_SUBDIR}/tools/README.txt
%{_datadir}/vim/%{VIM_SUBDIR}/tools/ref
%{_datadir}/vim/%{VIM_SUBDIR}/tools/shtags.1
%{_datadir}/vim/%{VIM_SUBDIR}/tools/shtags.pl
%{_datadir}/vim/%{VIM_SUBDIR}/tools/vim132
%{_datadir}/vim/%{VIM_SUBDIR}/tools/vimm
%{_datadir}/vim/%{VIM_SUBDIR}/tools/vimspell.sh
%{_datadir}/vim/%{VIM_SUBDIR}/tools/vimspell.txt
%{_datadir}/vim/%{VIM_SUBDIR}/tools/vim_vs_net.cmd
#%{_datadir}/vim/%{VIM_SUBDIR}/tools/xcmdsrv_client.c
%{_datadir}/vim/%{VIM_SUBDIR}/tutor/*
%{_datadir}/vim/%{VIM_SUBDIR}/delmenu.vim
%{_datadir}/vim/%{VIM_SUBDIR}/gvimrc_example.vim
%{_datadir}/vim/%{VIM_SUBDIR}/menu.vim
%{_datadir}/vim/%{VIM_SUBDIR}/mswin.vim
%{_datadir}/vim/%{VIM_SUBDIR}/synmenu.vim
%{_datadir}/vim/%{VIM_SUBDIR}/vimrc_example.vim

%files enhanced
%defattr(-,root,root,-)
%{_bindir}/vim-enhanced

%files -n gvim
%defattr(-,root,root,-)
%{_bindir}/gvim-normal
%if 0%{?with_splitted_gvim}

%files -n gvim-base
%defattr(-,root,root,-)
%endif
%doc %{_docdir}/gvim
%ghost %config(missingok) /etc/gvimrc
%{_bindir}/egview
%{_bindir}/egvim
%{_bindir}/eview
%{_bindir}/evim
%{_bindir}/gex
%{_bindir}/gvi
%{_bindir}/gview
%{_bindir}/gvim
%{_bindir}/gvimdiff
%{_bindir}/rgview
%{_bindir}/rgvim
# menu icon
%{_datadir}/applications/gvim.desktop
%{_datadir}/pixmaps/gvim.png
%if 0%{?with_splitted_gvim}

%files -n gvim-enhanced
%defattr(-,root,root,-)
%{_bindir}/gvim-enhanced
%endif

%changelog
* Mon Feb 16 2009 - werner@suse.de
- Update to patchlevel 108 ... fixes bnc#470100, bnc#465255,
  bnc#439148, bnc#436755, bnc#457098, and bnc#470100
* Fri Nov 28 2008 - mkoenig@suse.de
- don't set timeout in default vimrc [bnc#449932]
* Thu Oct 09 2008 - mkoenig@suse.de
- update apparmor.vim [bnc#425848]
* Wed Oct 01 2008 - mkoenig@suse.de
- add directories
  /usr/share/vim/site/{autoload,colors,doc,plugin}
* Fri Sep 26 2008 - mkoenig@suse.de
- update upstream patches
- fix code exec via K or g] [bnc#427627]
- remove some offending mappings [bnc#406456]
- set timeout [bnc#426682]
* Thu Sep 11 2008 - mkoenig@suse.de
- update to version 7.2
  * bugfixes and security enhancements
  * support for floating point numbers
- fixes security vulnerabilities [bnc#400508,bnc#406693,bnc#409516]
- fixes ada support [bnc#419506]
- remove patches:
  vim-7.1-ftplugin_changelog.patch
  vim-7.1-netrw_urlencode.patch
* Wed May 28 2008 - rodrigo@suse.de
- Added vim-7.1-remove-terrible-hack.patch to remove a "terrible"
  hack that was moving the mouse 100 pixels to the top left for
  KDE 3.1 window manager (bnc#392061)
* Wed Apr 30 2008 - mkoenig@suse.de
- use Utility as primary category for the desktop file [bnc#382779]
* Wed Mar 12 2008 - mkoenig@suse.de
- remove ycp syntax file, moved over to yast2-devtools
- cleanup: move syntax files and filetype changes into
  unique patches
* Thu Feb 28 2008 - mkoenig@suse.de
- update to patchlevel 266
  * fixes crash on completion [bnc#361844]
- update ycp syntax file [bnc#364509]
* Thu Jan 31 2008 - mkoenig@suse.de
- get perl version we build with dynamically rather than
  hardcoding it.
- Change Provides: vi_clone to vi
  vi_clone last used about 6 years ago
* Thu Jan 24 2008 - mkoenig@suse.de
- provide site wide runtimepath /usr/share/vim/site
  might be used by other packages to install vim files
- fix diff patch [#353375]
- add explicit version dependency on perl 5.10.0 [#353699]
* Wed Dec 12 2007 - mkoenig@suse.de
- fix shell escaping [#332571]
* Thu Oct 04 2007 - mkoenig@suse.de
- fix alternatives problem which resulted from linking to the
  dummy script in install process [#305790]
- update upstream patches to 135
* Fri Aug 31 2007 - mkoenig@suse.de
- let vim detect a failing diff [#252901]
- add /bin/ex symlink [#306423]
* Wed Aug 22 2007 - mkoenig@suse.de
- really enable syntax highlighting [#274600]
- update apparmor syntax rules [#301605]
* Wed Aug 15 2007 - kssingvo@suse.de
- fixed helpline issue CVE-2007-2953, swamp#12271 [#292433]
* Thu Jul 26 2007 - mkoenig@suse.de
- avoid duplicate installs of manpages [#294155]
- remove old Obsoletes for vim-fat
* Mon Jul 09 2007 - mkoenig@suse.de
- fix spec syntax rules
* Thu Jul 05 2007 - coolo@suse.de
- put desktop file into the package
* Tue Jun 19 2007 - mkoenig@suse.de
- fix changelog ftplugin [#284970]
* Wed May 23 2007 - mkoenig@suse.de
- update to version 7.1
- removed patches:
  vim-7.0-fstab_match_uuid.patch
  vim-7.0-fix_duplicate_key_assignment_de.patch
- enable syntax highlighting by default [#274600]
* Tue May 15 2007 - mrueckert@suse.de
- move a few files back into the base package so we can e.g. enable
  syntax highlighting by default. it would still be black/white
  for most filetypes.
* Wed May 09 2007 - mkoenig@suse.de
- fix duplicate key assignment in dialog when .swp file exists
  [#270312]
* Mon May 07 2007 - mkoenig@suse.de
- update official patches to 243
  * Fixes modeline exploit, CVE-2007-2438 [#270496]
* Wed Apr 25 2007 - ro@suse.de
- add prereqs for update-alternative in subpackages
* Mon Apr 23 2007 - mrueckert@suse.de
- another run on the package layout. this should finally work with
  all package manager. although it will allow you to install vim-base
  without a vim_client package.
- added %%{_datadir}/vim/current/tools/missing-vim-client:
  this script will be used as the default binary if only vim-base
  is installed. this avoids dangling symlinks and gives the user
  an hint how to solve the problem.
* Thu Apr 05 2007 - mkoenig@suse.de
- Keep %%ghost for gvimrc only
* Tue Apr 03 2007 - mkoenig@suse.de
- change %%ghost %%config(missingok) to %%config(noreplace)
  for /etc/vimrc and /etc/gvimrc
* Tue Mar 27 2007 - mrueckert@suse.de
- another minor layout change
* Tue Mar 27 2007 - mrueckert@suse.de
- add subdirs in /usr/share/vim/vim70/ to the base package
* Mon Mar 26 2007 - mrueckert@suse.de
- new package layout for the vim package to allow a smaller vim
  installation in the minimal system (#239838)
* Fri Feb 02 2007 - dmueller@suse.de
- fix fortify workaround
* Wed Jan 24 2007 - mkoenig@suse.de
- move gvim and related stuff from /usr/X11R6/bin to /usr/bin
* Tue Jan 23 2007 - mkoenig@suse.de
- set default backspace functionality to a more "useful"
  value [#34519]
* Mon Jan 22 2007 - mkoenig@suse.de
- added official patches 147-188:
  * no error message for ":call d.foo()" when "foo" doesn't exist
  * when resizing windows scrolling is not done in the best way
  * when resizing the Vim window scrollbinding doesn't work
  * button order in GTK file dialog is different from Gnome rules
  * crash when using lesstif 2
  * crash with cscope when temp file can't be opened
  * when 'foldnextmax' is negative Vim could hang
  * when getchar() returns a mouse button the position is unknown
  * (extra) Vim doesn't compile on Amiga OS4
  * profiling info was bogus for a recursively called function
  * cursor in closed fold after adding new line
  * not enough information for an I/O error in the swap file
  * ":@a" echoes the command
  * (extra) Win32: window and tabline menu may use wrong encoding
  * doesn't exit with "vim -o a b" and abort at ATTENTION prompt
  * can't get the position of a sign over the netbeans interface
  * ":redir @+" doesn't work
  * using CTRL-L to add to a search pattern fails for some chars
  * crash with cscope when a file descriptor is NULL
  * can't redefine a function in a dictionary
  * reading uninitialized memory and a memory leak in recovery
  * Visual block highlighting not removed for "I" and "A"
  * (extra) Win32: un-maximizing and tab pages line problem
  * (extra) VMS: problem with file names with multiple paths
  * crash when recovering a file and quitting hit-enter prompt
  * ":call f().TT()" doesn't work
  * ":mksession" doesn't restore tab page window layout properly
  * tr() didn't add a final NUL
  * ":emenu" isn't executed directly, breaks the crypt key prompt
  * key from mapping at press-enter prompt would be remapped
  * comparing utf-8 strings with 'ic' may look past NUL bytes
  * crash when recovering without a swap file name
  * (extra) VMS: build problem and problem with swap files
  * when reloading a buffer an extra empty line may appear
  * cannot reach every point in the undo tree after using "g-"
  * accessing memory already freed after ":redir => var" ":let"
  * cscope interface doesn't work with mlcscope
  * multi-byte chars in message get attributes from previous char
  * ml_get error when doing "/\_s*/e" with utf-8 'encoding'
  * can't properly source a remote script
  * (after 7.0.186) warning for wrong pointer type
* Mon Nov 06 2006 - mkoenig@suse.de
- add apparmor syntax highlighting [#190084]
* Tue Oct 31 2006 - mkoenig@suse.de
- enable grub mode for different root dir [#113647]
* Tue Oct 24 2006 - mkoenig@suse.de
- added official patchs 077-146:
  * minor bugfixes
- fix UUID matching in fstab syntax mode [#211238]
* Wed Aug 30 2006 - kssingvo@suse.de
- added official patches 067-076:
  *  undo problems when using input method
  *  'ignorecase' is not used properly for Insert mode completion
  *  crash when setting 'guitablabel' to "%%!expand(\%%)"
  *  compiler warnings for shadowed and uninitialized variables
  *  using empty search pattern may cause a crash
  *  can't specify anything to do when starting the GUI fails
  *  CR in Insert mode completion may select original text
  *  (extra) Win32: tooltips can be in the wrong encoding
  *  winsaveview() could store wrong desired cursor column
  *  (after 7.0.010) could not get spell files from non-ftp server
* Wed Aug 23 2006 - kssingvo@suse.de
- added official patches 051-066:
  * (after 7.0.44) compile and/or run problem with Perl interface
  * the Vim server may expose more functionality than expected
  * shortening multi-byte directory name may fail
  * using an empty menu name may cause a crash
  * ":startins" in CmdwinEnter autocmd doesn't work immediately
  * can't use "#!" in Vim scripts to make them executable
  * (extra, after 7.0.45) compilation trouble with Borland C 5.5
  * gbk and gb18030 encodings are not recognized
  * Perl interface doesn't compile with ActiveState Perl 5.8.8
  * code for switching buffers is repeated in several places
  * crash in Vim command completion when nothing to complete
  * Mac: crash when using popup menu with spell error
  * tiny chance for a memory leak
  * compiler warnings for unused variables
  * (extra) Mac: horizontal scroll wheel caused vertical scroll
  * tab pages line not redrawn after removing the popup menu
* Wed Aug 09 2006 - kssingvo@suse.de
- fixed vim-enhaced package:
  * builds now more conform
  * without gui now
  * removed unneccesary binaries introduced through rebuild
- added official patches 038-050:
  * complete() can be used from expr. mapping after inserting text
  * third argument for inputdialog() doesn't work in the console
  * mouse selection with "z=" and inputlist() gets wrong entry
  * cursor([1, 2]) failed, required third item in the list
  * crash or hang when pasting a block in Insert mode
  * "%%!" at start of 'statusline' didn't work
  * Perl: changing a line in a non-current buffer may not work
  * (extra) Win32: MSVC 2005 compiler warnings for OLE version
  * the matchparen plugin didn't handle parens in single quotes
  * the exit status of the configure script can be wrong
  * the gzip plugin can't handle file names that have a paren
  * some Tcl scripts are not recognized
  * can't properly close a buffer through the NetBeans interface
- patch for ruby output on query of LDFLAGS
- fixed use_update_desktop_file: no longer destroys shell echo
* Fri Jul 21 2006 - schwab@suse.de
- Add /bin/ex [#193953].
- Fix file list.
* Wed Jul 12 2006 - kssingvo@suse.de
- added new official patches 036-037
- splitted vim-enhanced package with all features
* Tue Jul 11 2006 - kssingvo@suse.de
- update to 7.0
  o Spell checking support for about 50 languages
  o Intelligent completion for C, HTML, Ruby, Python, PHP, etc.
  o Tab pages, each containing multiple windows
  o Undo branches: never accidentally lose text again
  o Vim script supports Lists and Dictionaries (similar to Python)
  o Vim script profiling
  o Improved Unicode support
  o Highlighting of cursor line, cursor column and matching braces
  o Translated manual pages support.
  o Internal grep; works on all platforms, searches compressed files
  o Browsing remote directories, zip and tar archives
  o Printing multi-byte text
* Wed Jun 07 2006 - kssingvo@suse.de
- fix for crash in gui (bugzilla#182212)
* Sat Mar 18 2006 - jw@suse.de
- fixed bugzilla # 112930
  no more segv upon svn commit.
* Fri Feb 24 2006 - hvogel@suse.de
- Dont package any gvimrc (except in %%doc), just use apps defaults.
  Otherwise we will play default settings ping pong
  forever [#152830]
* Thu Feb 02 2006 - rml@suse.de
- Make X selection again work in gvim (Bug #144109)
* Wed Feb 01 2006 - hvogel@suse.de
- generate help-tags tag during build
* Mon Jan 30 2006 - mmj@suse.de
- Add FreeMarker templates syntax highlighting [#144295]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - schwab@suse.de
- Don't strip binaries.
* Thu Jan 12 2006 - mmj@suse.de
- Add patches 6.4.001 through 6.4.006
- Compile with -fstack-protector-all
* Wed Jan 11 2006 - mmj@suse.de
- Use a better gvimrc [#141096]
* Mon Dec 19 2005 - ro@suse.de
- remove unpackaged symlinks
* Mon Dec 05 2005 - mmj@suse.de
- Make sure SELinux is disabled
* Sun Oct 16 2005 - mmj@suse.de
- Update to vim-6.4 which is a pure bugfix release, no new features
  was added (they all go to vim7)
- Disable selinux patch for now
* Thu Jul 21 2005 - mmj@suse.de
- Add pathes 6.3.76 through 6.3.84
* Tue Jul 19 2005 - lnussel@suse.de
- Don't strip binaries during install to get a useful debuginfo
  package
* Thu Jul 07 2005 - mmj@suse.de
- Fix missing decl on vitmp.c
* Thu Jun 02 2005 - mmj@suse.de
- Add patches 6.3.59 through 6.3.75
* Tue Jan 25 2005 - mmj@suse.de
- Add patches 6.3.55 through 6.3.58
* Fri Jan 21 2005 - mmj@suse.de
- /bin/sh is bash on SUSE LINUX, so highlight as such [#49872]
* Thu Jan 20 2005 - mmj@suse.de
- Fix insecure tmp file handling [#50025]
* Fri Jan 07 2005 - mmj@suse.de
- Add patches 6.3.47 through 6.3.54
* Mon Dec 13 2004 - mmj@suse.de
- Add patches 6.3.044 to 6.0.46 from upstream [#49092]
- Explain that modelines enabling can be potentially evil
* Tue Dec 07 2004 - mmj@suse.de
- Add patches 6.3.032 to 6.0.43 from upstream
* Wed Nov 24 2004 - ro@suse.de
- use macro for python version
* Tue Nov 16 2004 - hvogel@suse.de
- add gvim icon
* Wed Nov 10 2004 - hvogel@suse.de
- fix the 'current' link to point to the right directory
* Fri Oct 22 2004 - mmj@suse.de
- Make the rpm versioning match what vim does itself
- Add patch 31 from upstream
* Tue Oct 19 2004 - mmj@suse.de
- locale no should correctly be nb so make it so
* Wed Oct 13 2004 - mmj@suse.de
- Include bugfixes up to and including patch 30
* Sat Sep 04 2004 - mmj@suse.de
- Include the latest bugfix patches 16-23
* Tue Aug 24 2004 - mmj@suse.de
- Also recognize "%%t" and "%%j" [#43985]
* Tue Aug 24 2004 - mmj@suse.de
- Make printf format string "%%z" be recognized and hilighted [#43985]
* Thu Aug 12 2004 - mmj@suse.de
- Update bugfixing patches including 12-15
* Sat Jul 03 2004 - mmj@suse.de
- Update bugfixing patches 001 through 011
* Tue Jun 08 2004 - mmj@suse.de
- Update to vim-6.3
* Fri May 07 2004 - mmj@suse.de
- Apply official patches up to including 531
* Mon May 03 2004 - mmj@suse.de
- Apply official patches up to including 521
* Tue Apr 13 2004 - mmj@suse.de
- Use extra again
- Apply official patches up to including 6.2.466
* Wed Mar 17 2004 - mmj@suse.de
- Apply patch from Juergen Weigert to make 'ga' work correctly with
  UTF-8
* Wed Feb 25 2004 - kukuk@suse.de
- Fix version detection
- Fix SELinux patch (return code of one function)
* Mon Feb 23 2004 - mmj@suse.de
- Adjust patches to include up to 6.2.263
- Only patch SELinux on versions after 9.0
* Mon Feb 09 2004 - mmj@suse.de
- Add patches we want from 175 to 245
* Wed Jan 28 2004 - kukuk@suse.de
- Add SELinux patch
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Jan 09 2004 - mmj@suse.de
- compile with "-fno-strict-aliasing"
* Fri Jan 09 2004 - mmj@suse.de
- add patches we want from 99 to 174
- regenerate patches
- add patch for fstab syntax highlighting [#33814]
* Wed Sep 17 2003 - fehr@suse.de
- add patches patches 91 to 98 from vim homepage
* Fri Sep 12 2003 - fehr@suse.de
- add patches patches 76 to 89 from vim homepage
  (vim-6.2-altscreen.dif is therefore obsolete)
* Wed Sep 10 2003 - fehr@suse.de
- add patches patches 72 to 75 from vim homepage
* Wed Sep 03 2003 - mls@suse.de
- replace vim132 with bash version and delete post scriptlet
* Tue Aug 26 2003 - fehr@suse.de
- update ycp.vim and changes.vim
* Mon Aug 25 2003 - mls@suse.de
- fix aternate screen problem (again)
* Fri Aug 22 2003 - fehr@suse.de
- add patches patches 70 to 71 from vim homepage
* Sat Aug 16 2003 - adrian@suse.de
- install desktop file for gvim from kappfinder
* Fri Aug 15 2003 - mfabian@suse.de
- adapt vim-6.2-gvimrc-fontset.dif to the settings needed for
  a gtk2 build. For most languages it is OK to set "guifontset"
  to "monospace". But for Korean "monospace" expands to
  "Baekmuk Gulim" with our current default settings and
  this results in a very wide, broken spacing between the letters.
  As this effect happens with many CJK fonts and the Latin glyphs
  in many CJK fonts are ugly, set a good Latin font as the default
  for CJK. This latin font is automatically combined with the
  appropriate CJK font according to the rules in
  /etc/fonts/fonts.conf. I choose "Luxi\ Mono" because this
  is guaranteed to be installed always.
* Tue Aug 12 2003 - mmj@suse.de
- change the GUI to be built with gtk2
* Tue Aug 12 2003 - fehr@suse.de
- add liux relevant patches 15 - 69
* Wed Jul 16 2003 - fehr@suse.de
- create link eview to gvim
* Tue Jun 24 2003 - mmj@suse.de
- Update to 6.2 including:
   Support for GTK2
   Support for editing Arabic text
   ":try" command and exception handling
   Support for the neXtaw GUI toolkit
   Cscope support for Win32
   Support for PostScript printing in various 8-bit encodings
- Add non-Win32 patches from 1 - 14
* Tue May 27 2003 - fehr@suse.de
- remove unpackaged files from buildroot
* Fri May 23 2003 - fehr@suse.de
- add vitmp binary and man page to package
* Wed Apr 02 2003 - ro@suse.de
- updated python path
* Mon Mar 03 2003 - fehr@suse.de
- add patches 318 to 364 from ftp.vim.org
* Mon Feb 03 2003 - adrian@suse.de
- remove -mminimal-toc from RPM_OPT_FLAGS for ppc
- add patches 240 to 317 from ftp.vim.org
* Wed Jan 01 2003 - adrian@suse.de
- add a comment in the default vimrc to get the completion
  behaviour as in bash (often asked).
* Mon Dec 16 2002 - fehr@suse.de
- add "modelines=0" to default vimrc because of security
  considerations
* Fri Dec 13 2002 - ro@suse.de
- updated neededforbuild
* Thu Nov 07 2002 - mfabian@suse.de
- add patches 151 to 248 from ftp.vim.org (Bug #12157 is fixed
  by patch 194, made by Michael Schroeder <mls@suse.de>)
* Wed Oct 30 2002 - agruen@suse.de
- Add dependency on acl-devel package so POSIX ACL support
  is enabled.
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Wed Aug 07 2002 - werner@suse.de
- Fix vimrc for xterm and add some more keys (bug #15002)
* Tue Aug 06 2002 - fehr@suse.de
- add commands to vimrc to recognize last cursor position in a file
- add patches 033 to 150 from ftp.vim.org
* Fri Aug 02 2002 - adrian@suse.de
- do not handle vim and kvim together anymore
* Tue Jun 25 2002 - olh@suse.de
- build with -mminimal-toc on ppc64
* Wed Jun 05 2002 - ro@suse.de
- specify python config dir (not found on lib64 platforms)
* Thu Apr 25 2002 - fehr@suse.de
- make vim again read /etc/vimrc or /etc/gvimrc
- add patches 001 to 032 from ftp.vim.org
* Wed Apr 10 2002 - adrian@suse.de
- update to version 6.1
- remove obsolete patches
- clean xim.diff from patches which gone to the source
- add gui_kde support for kvim
* Tue Apr 02 2002 - fehr@suse.de
- remove disable_system.patch that prevent print menue entry in
  gvim from working (#15355)
* Thu Mar 14 2002 - fehr@suse.de
- add patch 6.0.164 to patches
  (After patch 6.0.135 the menu entries for pasting don't work in
  Insert and Visual mode. Add <script> to allow script-local mappings.)
* Sun Mar 10 2002 - mfabian@suse.de
- fix typo in entry for Korean fontset which prevented the
  gulim fonts from being used
* Mon Mar 04 2002 - mfabian@suse.de
- change default fontset entry for Korean to prevent core dump
  in Korean locale.
  Our previous default selected was
  guifontset=-*-clean-bold-r-*--16-*-*-*-*-*-*-*,
             -*-gulim-medium-r-*--16-*-*-*-*-*-*-*
  but since XFree86 4.2.0 the 'clean-bold' pattern doesn't
  match any iso8859-1 font anymore. Now it matches only:
  -schumacher-clean-bold-r-normal--16-160-75-75-c-80-iso646.1991-irv
  Because of this 'gvim' can't get any usable font, and
  gui.char_width becomes 0. This leads to a division by 0
  in function gui_resize_shell().
* Sun Mar 03 2002 - mfabian@suse.de
- add xim.diff from "Yasuhiro Matsumoto" <mattn_jp@hotmail.com>
  This patch makes OnTheSpot input style perfectly usable for
  Japanese, without the patch OnTheSpot input style is severely
  broken.
* Thu Feb 28 2002 - kukuk@suse.de
- Add hack to avoid csh dependency
- Make beta-testers happy
* Sat Feb 23 2002 - mfabian@suse.de
- choose a different fontset for locales starting with 'zh'
  (zh_TW, zh_CN, ...) because the new default fontset is not
  suitable for these locales
* Thu Feb 21 2002 - fehr@suse.de
- change default fontset to use "iso8859-*" as encoding part
* Thu Feb 07 2002 - fehr@suse.de
- remove RPM_BUILD_ROOT path in man pages (#13054)
* Tue Feb 05 2002 - schwab@suse.de
- Don't add /usr/local/include and /usr/local/lib to search paths.
* Tue Jan 29 2002 - fehr@suse.de
- add patches 094 to 154 for vim 6.0 from ftp.vim.org
- syntax files changes.vim and ycp.vim are now separate source files
* Fri Dec 07 2001 - mfabian@suse.de
- add vim-6.0-euro-menu.dif which removes @euro when looking
  for a menu translation for gvim. Without this,
  "LC_ALL=de_DE@euro gvim" will show English menus
* Thu Nov 29 2001 - fehr@suse.de
- add patches 074 to 093 for vim 6.0 from ftp.vim.org
- add option nocompatible again to /etc/vimrc (defaults are simply
  more usable this way)
* Thu Nov 29 2001 - mfabian@suse.de
- added NLS support again (vim-6.0-lang.tar.bz2 was not unpacked)
- applied fontset patch to /etc/gvimrc again
* Thu Nov 15 2001 - fehr@suse.de
- changed default vimrc according to suggestions of vim developer
* Mon Nov 05 2001 - fehr@suse.de
- added links vimdiff and gvimdiff
- added egvim link to /usr/X11R6/bin
- prevent use of tempname command in vimtutor
- add patches 001 to 072 for vim 6.0 from ftp.vim.org
* Fri Oct 19 2001 - mmj@suse.de
- Updated to 6.0
- Merges the gvim.spec and vim.spec into one specfile.
- Added a ppd.vim syntax file from bjacke@suse.de
* Tue Sep 11 2001 - mfabian@suse.de
- update to Vim 6.0av
  (Bram Moolenaar: "Just bug fixes this time, and
  quite a lot of them ...") For details about the bugs fixed,
  please read /usr/share/doc/packages/vim/ANNOUNCEMENT.vim-6.0av
* Wed Aug 29 2001 - fehr@suse.de
- add new ycp sytax file from Michal Svec
- add extensions .scr and .yh as ycp extensions
* Tue Aug 28 2001 - mfabian@suse.de
- update to Vim 6.0at
- removed sf_warnings.dif (included upstream)
- add --with-features=big
- remove --enable-broken-locale
- remove --enable-fontset
- add BuildRoot
- add %%{?suse_update_config:%%{suse_update_config -f }}
* Thu Aug 16 2001 - fehr@suse.de
- update to new version 5.8 with patches 5.8.001 to 008 applied
- add syntax file for .changes files from Michal Svec
* Wed May 16 2001 - fehr@suse.de
- fix pointer-cast-warnings on 64bit archs
* Mon May 07 2001 - mfabian@suse.de
- bzip2 source
* Mon Apr 09 2001 - fehr@suse.de
- change back to old version 5.7 since 6.0aa is not stable enough
  (according to maintainer Bram Moolenaar)
- add patches 001-028 from vim.org to vim 5.7
* Fri Apr 06 2001 - mfabian@suse.de
- add tarball for nls support: vim-6.0aa-lang.tar.bz2
- use suse_update_config
- remove --enable-broken-locale --enable-fontset
- add BuildRoot
- bzip2 tarballs
* Thu Apr 05 2001 - fehr@suse.de
- change to new version 6.0aa
* Mon Mar 26 2001 - kendy@suse.cz
- Added syntax file for YCP (YaST2 Communication Protocol)
* Mon Jan 08 2001 - fehr@suse.de
- change occurences of $VIM in vimrc example to $VIMRUNTIME
* Tue Nov 21 2000 - werner@suse.de
- Remove swapping of kp-separator/kp-decimal because it's
  done in xkbd map for german keyboards
- Add some newer xterm escape sequences (oldFunctionsKeys)
* Fri Oct 06 2000 - kukuk@suse.de
- change group tag
* Mon Jul 24 2000 - fehr@suse.de
- New version 5.7
* Wed Mar 01 2000 - werner@suse.de
- Move vim and the link vi to /bin/ and make symlinks backward
- Include symlinks edit and ex into vim file list
- Include symlinks gex, gvi, gview, rgvim, rgview into gvim file list
- Make symlink current to version directory in /usr/share/vim
* Tue Feb 29 2000 - fehr@suse.de
- removed use of mouse daemon (libgpm)
* Thu Feb 24 2000 - fehr@suse.de
- removed dependency on nawk
* Tue Jan 25 2000 - werner@suse.de
- New version 5.6
- Do not use strange settings in /etc/vimrc (e.g. edcompatible)
- Make terminal settings in /etc/vimrc depending on terminal type
- Create a ~/.vimrc for /etc/skel/
- /usr/man -> /usr/share/man
* Wed Jan 12 2000 - fehr@suse.de
- fix wrong path in /etc/vimrc
* Fri Nov 05 1999 - kukuk@suse.de
- Use gawk instead of nawk
* Sat Oct 16 1999 - ml@suse.de
- removed typo from vim-5.4.dif
* Thu Sep 16 1999 - ro@suse.de
- added "Provides vi_clone"
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - fehr@suse.de
- changed to new version 5.4
* Sun Dec 13 1998 - bs@suse.de
- fixed problem with empty man page
* Fri Dec 04 1998 - ro@suse.de
- cleanup and bugfix for suse.vimrc
* Mon Nov 23 1998 - ro@suse.de
- update to 5.3
- merged werners vimrc and florian's hack for linux-m
- install other vimrc_example as %%doc
* Fri Oct 17 1997 - ro@suse.de
- ready for autobuild using 4.6tar and 4.6dif
* Wed May 28 1997 - werner@suse.de
- New /etc/vimrc added
* Sun Apr 13 1997 - florian@suse.de
- update to new version 4.6
- mv ctags into a new package ctags.tgz
* Thu Jan 02 1997 - florian@suse.de
- Update auf Version 4.5.
- Jetzt ist auch ctags und xxd dabei.
* Thu Jan 02 1997 - florian@suse.de
  new version 4.2
  completely integrated help-system
